﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _1344528
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();
            BindingList<Person> list = new BindingList<Person>();
            list.Add(new Person("Jessy Jones", "New York", new Car("BMW", 2011)));
            list.Add(new Person("Allan Trenton", "Las Vegas", new Car("Mercedes", 2011)));
            list.Add(new Person("Brandon Michels", "Los Angeles", new Car("Lexus", 2010)));
            list.Add(new Person("Michael Jordan", "Chicago", new Car("Toyota", 2009)));
            list.Add(new Person("Dimitar Berbatov", "Manchester", new Car("Infinity", 2008)));
            radGridView1.DataSource = list;
            radGridView1.CellFormatting += RadGridView1_CellFormatting;
        }

        private void RadGridView1_CellFormatting(object sender, CellFormattingEventArgs e)
        {
            if (e.Column.Name == "Car" && e.Row.DataBoundItem != null)
            {
                var data = e.Row.DataBoundItem as Person;
                e.CellElement.Text = ((Car)data.Car).Model;
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            radGridView1.Columns[2].FieldName = "Car.Model";

        }

    }
    public class Person
    {
        public string _name = "";
        public string _city = "";
        public Car _car = null;
        public Person()
        {
            this._car = new Car();
        }
        public Person(string name, string city, Car car)
        {
            this._name = name;
            this._city = city;
            this._car = car;
        }
        public string Name
        {
            get
            {
                return this._name;
            }
        }
        public string City
        {
            get
            {
                return this._city;
            }
        }
        public object Car
        {
            get
            {
                return this._car;
            }
        }
    }
    public class Car
    {
        string _model;
        int _year;
        public Car()
        {
        }
        public Car(string model, int year)
        {
            this._model = model;
            this._year = year;
        }
        public string Model
        {
            get
            {
                return this._model;
            }
        }
        public int Year
        {
            get
            {
                return this._year;
            }
        }
    }
}
